Index: orxonox/trunk/gui/orxonox_gui.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui.cc	(revision 3165)
+++ orxonox/trunk/gui/orxonox_gui.cc	(revision 3166)
@@ -34,4 +34,5 @@
 
 */
+
 #include "orxonox_gui.h"
 #include "orxonox_gui_video.h"
@@ -105,5 +106,5 @@
   exec->setFilename ("~/.orxonox.conf");
   exec->readFromFile (orxonoxGUI);
-  orxonoxGUI->walkThrough(orxonoxGUI->listOptions);
+  //  orxonoxGUI->walkThrough(orxonoxGUI->listOptions);
 
   orxonoxGUI->showall ();
@@ -112,5 +113,16 @@
 #ifdef HAVE_GTK2
   mainloopGTK();
-#endif
+#else /* HAVE_GTK2 */
+  cout << " Listing all the Orxonox Options: \n";
+  cout << "  #############################\n";
+  orxonoxGUI->walkThrough(orxonoxGUI->listOptions);
+
+  cout << "\nDo you want me to save the the above values now? [Yn] ";
+  char c = getchar();
+  if ((c == 'y' || c == 'Y' || c== 10) && exec->shouldsave())
+    exec->writeToFile (Window::mainWindow);
+ 
+#endif /* HAVE_GTK2 */
+
 }
 
Index: orxonox/trunk/gui/orxonox_gui_gtk.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_gtk.cc	(revision 3165)
+++ orxonox/trunk/gui/orxonox_gui_gtk.cc	(revision 3166)
@@ -178,6 +178,10 @@
 void Widget::listOptions (Widget* widget)
 {
-  if (widget->isOption >= 1)
-    cout << static_cast<Option*>(widget)->label <<" is : " << static_cast<Option*>(widget)->value <<endl;
+  if (widget->isOption < 0 && static_cast<Packer*>(widget)->groupName)
+    cout << "[" << static_cast<Packer*>(widget)->groupName << "]\n";
+  if (widget->isOption >= 1 && widget->isOption <= 3)
+    cout << "  " << static_cast<Option*>(widget)->label <<" is : " << static_cast<Option*>(widget)->value <<endl;
+  else if (widget->isOption == 5)
+    cout << "  " << static_cast<Option*>(widget)->label <<" is : " << static_cast<OptionLabel*>(widget)->cValue <<endl;
 }
 
@@ -342,5 +346,5 @@
   if (!isOpen)
     {
-      printf ("showall\n");
+      //      printf ("showall\n");
 #ifdef HAVE_GTK2
       gtk_widget_show_all  (widget);
@@ -350,5 +354,5 @@
   else
     {
-      printf ("showone\n");
+      //      printf ("showone\n");
 #ifdef HAVE_GTK2
       gtk_widget_show (widget);
@@ -665,5 +669,6 @@
   strcpy(flagName, flagname);
   defaultValue = defaultvalue;
-  cout << "Set Flagname of " << label << " to " << flagname << endl;
+
+  //  cout << "Set Flagname of " << label << " to " << flagname << endl;
 }
 
@@ -686,5 +691,5 @@
   strcpy(flagNameShort, flagnameshort);
   defaultValue = defaultvalue;
-  cout << "Set Flagname of " << label << " to " << flagname << endl;
+  //  cout << "Set Flagname of " << label << " to " << flagname << endl;
 }
 
Index: orxonox/trunk/gui/orxonox_gui_keys.cc
===================================================================
--- orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3165)
+++ orxonox/trunk/gui/orxonox_gui_keys.cc	(revision 3166)
@@ -109,5 +109,4 @@
   inputKey[key]->pKeyButton->connectSignal("button_press_event", inputKey[key], inputWindowEvent);
 #endif /* HAVE_GTK2 */
-
   inputKey[key]->pKeyBox->fill(inputKey[key]->pKeyButton);
   inputKey[key]->pKeyBox->fill(inputKey[key]->pKeyOLabel);
@@ -153,27 +152,21 @@
     {
     case GDK_Up:
-      printf("Up arrow key!\n");
       strcpy(title, "up");
       break;
     case GDK_Down:
-      printf("Down arrow key!\n");
       strcpy(title, "down");
       break;
     case GDK_Left:
-      printf("Left arrow key!\n");
       strcpy(title, "left");
       break;
     case GDK_Right:
-      printf("Right arrow key!\n");
       strcpy(title, "right");
       break;
       
     case GDK_space:
-      printf("Space Pressed.\n");
       strcpy(title, "space");
       break;
       
     case 65293:
-      printf("Enter Pressed\n");
       strcpy(title, "enter");
       break;
@@ -181,82 +174,62 @@
       // Special Keys //
     case GDK_Escape:
-      printf("Esc Pressed.\n");
       strcpy(title, "esc");
       break;
     case GDK_Tab:
-      printf("Tab Pressed.\n");
       strcpy(title, "tab");
       break;
     case GDK_Shift_L:
-      printf("Left Shift!\n");
       strcpy(title, "l_shift");
       break;
     case GDK_Shift_R:
-      printf("Right Shift!\n");
       strcpy(title, "r_shift");
       break;
     case GDK_Control_L:
-      printf("Left Control!\n");
       strcpy(title, "l_ctrl");
       break;
     case GDK_Control_R:
-      printf("Right Control!\n");
       strcpy(title, "r_ctrl");
       break;
     case GDK_Alt_L:
-      printf("Left Alt!\n");
       strcpy(title, "l_alt");
       break;
     case GDK_Alt_R:
-      printf("Rigth Alt!\n");
       strcpy(title, "r_alt");
       break;
       // FXX KEYS //
     case GDK_F1:
-      printf("F1!\n");
       strcpy(title, "f1");
       break;
     case GDK_F2:
-      printf("F2!\n");
       strcpy(title, "f2");
       break;
     case GDK_F3:
-      printf("F3!\n");
       strcpy(title, "f3");
       break;
     case GDK_F4:
-      printf("F4!\n");
       strcpy(title, "f4");
       break;
     case GDK_F5:
-      printf("F5!\n");
       strcpy(title, "f5");
       break;
     case GDK_F6:
-      printf("F6!\n");
       strcpy(title, "f6");
       break;
     case GDK_F7:
-      printf("F7!\n");
       strcpy(title, "f7");
       break;
     case GDK_F8:
-      printf("F8!\n");
       strcpy(title, "f8");
       break;
     case GDK_F9:
-      printf("F9\n");
       strcpy(title, "f9");
       break;
     case GDK_F10:
-      printf("F10!\n");
       strcpy(title, "f10");
       break;
     case GDK_F11:
-      printf("F11!\n");
       strcpy(title, "f11");
       break;
     case GDK_F12:
-      printf("F12!\n");
       strcpy(title, "f12");
       break;