Index: /code/branches/pch/src/core/BaseObject.cc
===================================================================
--- /code/branches/pch/src/core/BaseObject.cc	(revision 3169)
+++ /code/branches/pch/src/core/BaseObject.cc	(revision 3170)
@@ -294,6 +294,6 @@
     void BaseObject::processEvent(Event& event)
     {
-        SetEvent(BaseObject, "activity", setActive, event);
-        SetEvent(BaseObject, "visibility", setVisible, event);
+        ORXONOX_SET_EVENT(BaseObject, "activity", setActive, event);
+        ORXONOX_SET_EVENT(BaseObject, "visibility", setVisible, event);
     }
 
Index: /code/branches/pch/src/core/EventIncludes.h
===================================================================
--- /code/branches/pch/src/core/EventIncludes.h	(revision 3169)
+++ /code/branches/pch/src/core/EventIncludes.h	(revision 3170)
@@ -33,17 +33,17 @@
 #include "Executor.h"
 
-#define SetEvent(classname, eventname, functionname, event) \
-    SetEventGeneric(eventcontainer##classname##functionname, classname, eventname, functionname, event, BaseObject)
+#define ORXONOX_SET_EVENT(classname, eventname, functionname, event) \
+    ORXONOX_SET_EVENT_GENERIC(eventcontainer##classname##functionname, classname, eventname, functionname, event, BaseObject)
 
-#define SetEventTemplate(classname, eventname, functionname, event, ...) \
-    SetEventGenericTemplate(eventcontainer##classname##functionname, classname, eventname, functionname, event, BaseObject, __VA_ARGS__)
+#define ORXONOX_SET_EVENT_TEMPLATE(classname, eventname, functionname, event, ...) \
+    ORXONOX_SET_EVENT_GENERIC_TEMPLATE(eventcontainer##classname##functionname, classname, eventname, functionname, event, BaseObject, __VA_ARGS__)
 
-#define SetSubclassEvent(classname, eventname, functionname, event, subclassname) \
-    SetEventGeneric(eventcontainer##classname##functionname, classname, eventname, functionname, event, subclassname)
+#define ORXONOX_SET_SUBCLASS_EVENT(classname, eventname, functionname, event, subclassname) \
+    ORXONOX_SET_EVENT_GENERIC(eventcontainer##classname##functionname, classname, eventname, functionname, event, subclassname)
 
-#define SetSubclassEventTemplate(classname, eventname, functionname, event, subclassname, ...) \
-    SetEventGenericTemplate(eventcontainer##classname##functionname, classname, eventname, functionname, event, subclassname, __VA_ARGS__)
+#define ORXONOX_SET_SUBCLASS_EVENT_TEMPLATE(classname, eventname, functionname, event, subclassname, ...) \
+    ORXONOX_SET_EVENT_GENERIC_TEMPLATE(eventcontainer##classname##functionname, classname, eventname, functionname, event, subclassname, __VA_ARGS__)
 
-#define SetEventGeneric(containername, classname, eventname, functionname, event, subclassname) \
+#define ORXONOX_SET_EVENT_GENERIC(containername, classname, eventname, functionname, event, subclassname) \
     orxonox::EventContainer* containername = this->getEventContainer(eventname); \
     if (!containername) \
@@ -57,5 +57,5 @@
     containername->process(this, event)
 
-#define SetEventGenericTemplate(containername, classname, eventname, functionname, event, subclassname, ...) \
+#define ORXONOX_SET_EVENT_GENERIC_TEMPLATE(containername, classname, eventname, functionname, event, subclassname, ...) \
     orxonox::EventContainer* containername = this->getEventContainer(eventname); \
     if (!containername) \
Index: /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3169)
+++ /code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3170)
@@ -89,5 +89,5 @@
         SUPER(QuestEffectBeacon, processEvent, event);
     
-        SetSubclassEvent(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
+        ORXONOX_SET_SUBCLASS_EVENT(QuestEffectBeacon, "execute", execute, event, PlayerTrigger);
     }
     
Index: /code/branches/pch/src/orxonox/objects/worldentities/ParticleSpawner.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/ParticleSpawner.cc	(revision 3169)
+++ /code/branches/pch/src/orxonox/objects/worldentities/ParticleSpawner.cc	(revision 3170)
@@ -75,5 +75,5 @@
         SUPER(ParticleSpawner, processEvent, event);
 
-        SetEvent(ParticleSpawner, "spawn", spawn, event);
+        ORXONOX_SET_EVENT(ParticleSpawner, "spawn", spawn, event);
     }
 
Index: /code/branches/pch/src/orxonox/objects/worldentities/triggers/EventTrigger.cc
===================================================================
--- /code/branches/pch/src/orxonox/objects/worldentities/triggers/EventTrigger.cc	(revision 3169)
+++ /code/branches/pch/src/orxonox/objects/worldentities/triggers/EventTrigger.cc	(revision 3170)
@@ -51,5 +51,5 @@
         SUPER(EventTrigger, processEvent, event);
 
-        SetEvent(EventTrigger, "trigger", trigger, event);
+        ORXONOX_SET_EVENT(EventTrigger, "trigger", trigger, event);
     }
 