Index: code/branches/pch/doc/api/CMakeLists.txt
===================================================================
--- code/branches/pch/doc/api/CMakeLists.txt	(revision 3114)
+++ code/branches/pch/doc/api/CMakeLists.txt	(revision 3171)
@@ -50,6 +50,7 @@
     # use (configured) doxy.config from (out of place) BUILD tree:
     SET(DOXY_CONFIG ${CMAKE_CURRENT_BINARY_DIR}/doxy.config)
+    SET(DOXY_LOGFILE ${CMAKE_CURRENT_BINARY_DIR}/doxy.log)
   ELSE()
-    MESSAGE(STATUS "Warning: Could not find dox.config.in in the root directory.")
+    MESSAGE(FATAL_ERROR "Warning: Could not find dox.config.in in the root directory.")
   ENDIF()
   
@@ -64,8 +65,8 @@
       SET(TMP ${DOXY_OUTPUT_DIR}/html/index.hhp)
       STRING(REGEX REPLACE "/" "\\\\" HHP_FILE ${TMP})
-      ADD_CUSTOM_TARGET(chmdoc ${HTML_HELP_COMPILER} ${HHP_FILE})
-      ADD_DEPENDENCIES(chmdoc doc)
+      ADD_CUSTOM_TARGET(doc_chm ${HTML_HELP_COMPILER} ${HHP_FILE})
+      ADD_DEPENDENCIES(doc_chm doc)
       # Adding a dependency somehow adds doc target as default build target
-      SET_TARGET_PROPERTIES(doc chmdoc PROPERTIES EXCLUDE_FROM_DEFAULT_BUILD TRUE)
+      SET_TARGET_PROPERTIES(doc doc_chm PROPERTIES EXCLUDE_FROM_DEFAULT_BUILD TRUE)
     ENDIF(HTML_HELP_COMPILER)
   ENDIF (WIN32) 
@@ -78,5 +79,5 @@
     OPTIONAL
   )
-  # Install command always needs the directory to work
+  # Install command always needs the directory
   IF(NOT EXISTS ${CMAKE_CURRENT_BINARY_DIR}/html)
     FILE(MAKE_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html)
Index: code/branches/pch/doc/api/doxy.config.in
===================================================================
--- code/branches/pch/doc/api/doxy.config.in	(revision 3114)
+++ code/branches/pch/doc/api/doxy.config.in	(revision 3171)
@@ -53,14 +53,4 @@
 
 OUTPUT_LANGUAGE        = English
-
-# This tag can be used to specify the encoding used in the generated output. 
-# The encoding is not always determined by the language that is chosen, 
-# but also whether or not the output is meant for Windows or non-Windows users. 
-# In case there is a difference, setting the USE_WINDOWS_ENCODING tag to YES 
-# forces the Windows encoding (this is the default for the Windows binary), 
-# whereas setting the tag to NO uses a Unix-style encoding (the default for 
-# all platforms other than Windows).
-
-USE_WINDOWS_ENCODING   = YES
 
 # If the BRIEF_MEMBER_DESC tag is set to YES (the default) Doxygen will 
@@ -377,5 +367,5 @@
 # documentation sections, marked by \if sectionname ... \endif.
 
-ENABLED_SECTIONS       = 
+ENABLED_SECTIONS       = YES
 
 # The MAX_INITIALIZER_LINES tag determines the maximum number of lines 
@@ -401,4 +391,16 @@
 SHOW_DIRECTORIES       = YES
 
+# Set the SHOW_FILES tag to NO to disable the generation of the Files page.
+# This will remove the Files entry from the Quick Index and from the Folder
+# Tree View (if specified). The default is YES.
+
+SHOW_FILES             = YES
+
+# Set the SHOW_NAMESPACES tag to NO to disable the generation of the
+# Namespaces page. This will remove the Namespaces entry from the Quick Index
+# and from the Folder Tree View (if specified). The default is YES.
+
+SHOW_NAMESPACES        = YES
+
 # The FILE_VERSION_FILTER tag can be used to specify a program or script that 
 # doxygen should invoke to get the current version for each file (typically from the 
@@ -460,5 +462,5 @@
 # to stderr.
 
-WARN_LOGFILE           = @DOXY_OUTPUT_DIR@/doxy.log
+WARN_LOGFILE           = @DOXY_LOGFILE@
 
 #---------------------------------------------------------------------------
@@ -472,4 +474,5 @@
 
 INPUT                  = @CMAKE_SOURCE_DIR@/src \
+                         @CMAKE_CURRENT_SOURCE_DIR@ \
                          @CMAKE_BINARY_DIR@/src
 
@@ -518,5 +521,5 @@
 # the \include command).
 
-EXAMPLE_PATH           = @CMAKE_SOURCE_DIR@/doc/examples/
+EXAMPLE_PATH           = @CMAKE_CURRENT_SOURCE_DIR@/examples/
 
 # If the value of the EXAMPLE_PATH tag contains directories, you can use the 
@@ -542,5 +545,5 @@
 # the \image command).
 
-IMAGE_PATH             = @CMAKE_SOURCE_DIR@/doc/images/
+IMAGE_PATH             = @CMAKE_CURRENT_SOURCE_DIR@/images/
 
 
@@ -1030,5 +1033,5 @@
 # instead of the = operator.
 
-PREDEFINED             = 
+PREDEFINED             = DOXYGEN_SHOULD_SKIP_THIS
 
 # If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then 
@@ -1140,5 +1143,4 @@
 
 UML_LOOK               = NO
-# UML_LOOK               = YES
 
 # If set to YES, the inheritance and collaboration graphs will show the 
@@ -1196,5 +1198,5 @@
 # \dotfile command).
 
-DOTFILE_DIRS           = 
+DOTFILE_DIRS           = @CMAKE_CURRENT_SOURCE_DIR@/dot
 
 # The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the 
@@ -1222,6 +1224,5 @@
 # makes dot run faster, but since only newer versions of dot (>1.8.10) 
 # support this, this feature is disabled by default.
-# JW
-# DOT_MULTI_TARGETS      = NO
+
 DOT_MULTI_TARGETS      = NO
 
@@ -1245,4 +1246,3 @@
 # used. If set to NO the values of all tags below this one will be ignored.
 
-# JW SEARCHENGINE           = NO
 SEARCHENGINE           = YES
Index: code/branches/pch/doc/api/main.dox
===================================================================
--- code/branches/pch/doc/api/main.dox	(revision 3171)
+++ code/branches/pch/doc/api/main.dox	(revision 3171)
@@ -0,0 +1,4 @@
+/**
+@mainpage
+    Orxonox Doxygen Reference
+*/