Index: /orxonox/trunk/Makefile.in
===================================================================
--- /orxonox/trunk/Makefile.in	(revision 3172)
+++ /orxonox/trunk/Makefile.in	(revision 3173)
@@ -89,4 +89,5 @@
 CXXFLAGS = @CXXFLAGS@
 CYGPATH_W = @CYGPATH_W@
+DEBUG = @DEBUG@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
@@ -609,4 +610,9 @@
 \
 	$(DX_CONF_DIR)/progress						>> $(DX_CONFIG_FILE); \
+	if test $(DEBUG) = yes ; then \
+	 echo "QUIET			= \"NO\""			>> $(DX_CONFIG_FILE); \
+	else \
+	 echo "QUIET			= \"YES\""			>> $(DX_CONFIG_FILE); \
+	fi ;\
 \
 	$(DX_CONF_DIR)/input						>> $(DX_CONFIG_FILE); \
@@ -619,5 +625,10 @@
 	$(DX_CONF_DIR)/confopts						>> $(DX_CONFIG_FILE) 
 
-.PHONY: doc doc-config
+doc-delete: 
+	@echo "Deleting doxygen Documentation" ; \
+	rm -rf $(top_srcdir)/doc/html ; \
+	rm -rf $(top_srcdir)/doc/latex 
+
+.PHONY: doc doc-config doc-delete
 
 # Local Variables:
Index: /orxonox/trunk/config.h.in
===================================================================
--- /orxonox/trunk/config.h.in	(revision 3172)
+++ /orxonox/trunk/config.h.in	(revision 3173)
@@ -1,3 +1,6 @@
 /* config.h.in.  Generated from configure.ac by autoheader.  */
+
+/* if we ar in Debug Mode */
+#undef DEBUG
 
 /* Define to 1 if you have the `bzero' function. */
Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 3172)
+++ /orxonox/trunk/configure	(revision 3173)
@@ -312,5 +312,5 @@
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO AMTAR install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CC CFLAGS ac_ct_CC CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP DEBUG MSBITFIELDS GTK2_LIBS GTK2_CFLAGS HAVE_GTK2_TRUE HAVE_GTK2_FALSE LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
@@ -866,5 +866,11 @@
   --enable-dependency-tracking   do not reject slow dependency extractors
   --disable-gtk           Prevents GTK from being loaded
-  --disabel-sdl-image     Prevents SDL_image from being loaded
+  --disable-sdl-image     Prevents SDL_image from being loaded
+
+Optional Packages:
+  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
+  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
+  --with-debug            compiles GTK in debug mode. Lots of Debug info about
+                          the game
 
 Some influential environment variables:
@@ -3833,4 +3839,25 @@
 
 ### CHECKING  OPTIONAT ARGUMENTS
+## DEBUG-statement
+DEBUG=no
+echo "$as_me:$LINENO: checking if DEBUG-mode should be enabled" >&5
+echo $ECHO_N "checking if DEBUG-mode should be enabled... $ECHO_C" >&6
+
+# Check whether --with-debug or --without-debug was given.
+if test "${with_debug+set}" = set; then
+  withval="$with_debug"
+  DEBUG=yes
+fi;
+echo "$DEBUG"
+if test "$DEBUG" = yes; then
+
+cat >>confdefs.h <<_ACEOF
+#define DEBUG 1
+_ACEOF
+
+fi
+
+
+
 ## GTK-disabled
 def_gtk=yes
@@ -8228,4 +8255,5 @@
 s,@CPP@,$CPP,;t t
 s,@EGREP@,$EGREP,;t t
+s,@DEBUG@,$DEBUG,;t t
 s,@MSBITFIELDS@,$MSBITFIELDS,;t t
 s,@GTK2_LIBS@,$GTK2_LIBS,;t t
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 3172)
+++ /orxonox/trunk/configure.ac	(revision 3173)
@@ -22,4 +22,17 @@
 
 ### CHECKING  OPTIONAT ARGUMENTS
+## DEBUG-statement
+DEBUG=no
+AC_MSG_CHECKING([if DEBUG-mode should be enabled])
+AC_ARG_WITH([debug], 
+	AC_HELP_STRING(	[--with-debug], [compiles GTK in debug mode. Lots of Debug info about the game]),
+	 [DEBUG=yes]) 
+echo "$DEBUG"
+if test "$DEBUG" = yes; then 
+	AC_DEFINE_UNQUOTED(DEBUG, 1, [if we ar in Debug Mode])
+fi
+AC_SUBST(DEBUG)
+
+
 ## GTK-disabled
 def_gtk=yes
@@ -38,5 +51,5 @@
 AC_MSG_CHECKING([if SDL_image should be enabled])
 AC_ARG_ENABLE([sdl_image], 
-	AC_HELP_STRING(	[--disabel-sdl-image], 
+	AC_HELP_STRING(	[--disable-sdl-image], 
 	[Prevents SDL_image from being loaded]), [def_sdl_image=no]) 
 if test "$def_sdl_image" = yes; then 
Index: /orxonox/trunk/console/Makefile.in
===================================================================
--- /orxonox/trunk/console/Makefile.in	(revision 3172)
+++ /orxonox/trunk/console/Makefile.in	(revision 3173)
@@ -91,4 +91,5 @@
 CXXFLAGS = @CXXFLAGS@
 CYGPATH_W = @CYGPATH_W@
+DEBUG = @DEBUG@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
@@ -183,7 +184,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  console/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  console/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  console/Makefile
+	  $(AUTOMAKE) --foreign  console/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/doc/documentation.am
===================================================================
--- /orxonox/trunk/doc/documentation.am	(revision 3172)
+++ /orxonox/trunk/doc/documentation.am	(revision 3173)
@@ -25,4 +25,9 @@
 \
 	$(DX_CONF_DIR)/progress						>> $(DX_CONFIG_FILE); \
+	if test $(DEBUG) = yes ; then \
+	 echo "QUIET			= \"NO\""			>> $(DX_CONFIG_FILE); \
+	else \
+	 echo "QUIET			= \"YES\""			>> $(DX_CONFIG_FILE); \
+	fi ;\
 \
 	$(DX_CONF_DIR)/input						>> $(DX_CONFIG_FILE); \
@@ -35,9 +40,12 @@
 	$(DX_CONF_DIR)/confopts						>> $(DX_CONFIG_FILE) 
 
+doc-delete: 
+	@echo "Deleting doxygen Documentation" ; \
+	rm -rf $(top_srcdir)/doc/html ; \
+	rm -rf $(top_srcdir)/doc/latex 
 
 
 
-
-.PHONY: doc doc-config
+.PHONY: doc doc-config doc-delete
 
 # Local Variables:
Index: /orxonox/trunk/doc/doxyconf/progress
===================================================================
--- /orxonox/trunk/doc/doxyconf/progress	(revision 3172)
+++ /orxonox/trunk/doc/doxyconf/progress	(revision 3173)
@@ -3,5 +3,4 @@
 # configuration options related to warning and progress messages
 #---------------------------------------------------------------------------
-QUIET                  = NO
 WARNINGS               = YES
 WARN_IF_UNDOCUMENTED   = YES
Index: /orxonox/trunk/gui/Makefile.in
===================================================================
--- /orxonox/trunk/gui/Makefile.in	(revision 3172)
+++ /orxonox/trunk/gui/Makefile.in	(revision 3173)
@@ -98,4 +98,5 @@
 CXXFLAGS = @CXXFLAGS@
 CYGPATH_W = @CYGPATH_W@
+DEBUG = @DEBUG@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
Index: /orxonox/trunk/importer/Makefile.in
===================================================================
--- /orxonox/trunk/importer/Makefile.in	(revision 3172)
+++ /orxonox/trunk/importer/Makefile.in	(revision 3173)
@@ -92,4 +92,5 @@
 CXXFLAGS = @CXXFLAGS@
 CYGPATH_W = @CYGPATH_W@
+DEBUG = @DEBUG@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
@@ -184,7 +185,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  importer/Makefile
+	  $(AUTOMAKE) --foreign  importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3172)
+++ /orxonox/trunk/src/Makefile.in	(revision 3173)
@@ -107,4 +107,5 @@
 CXXFLAGS = @CXXFLAGS@
 CYGPATH_W = @CYGPATH_W@
+DEBUG = @DEBUG@
 DEFS = @DEFS@
 DEPDIR = @DEPDIR@
@@ -199,7 +200,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status