Index: code/branches/pch/src/orxonox/objects/EventDispatcher.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/EventDispatcher.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventDispatcher.cc	(revision 3174)
@@ -32,5 +32,4 @@
 #include "core/EventIncludes.h"
 #include "core/XMLPort.h"
-#include "core/EventIncludes.h"
 #include "EventTarget.h"
 
Index: code/branches/pch/src/orxonox/objects/EventDispatcher.h
===================================================================
--- code/branches/pch/src/orxonox/objects/EventDispatcher.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventDispatcher.h	(revision 3174)
@@ -31,4 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <list>
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/EventListener.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/EventListener.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventListener.cc	(revision 3174)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/EventIncludes.h"
+#include "core/ObjectList.h"
 #include "core/XMLPort.h"
 
Index: code/branches/pch/src/orxonox/objects/EventListener.h
===================================================================
--- code/branches/pch/src/orxonox/objects/EventListener.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventListener.h	(revision 3174)
@@ -31,4 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <string>
 #include "core/BaseObject.h"
 #include "core/XMLNameListener.h"
Index: code/branches/pch/src/orxonox/objects/EventTarget.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/EventTarget.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventTarget.cc	(revision 3174)
@@ -30,5 +30,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/EventIncludes.h"
+#include "core/ObjectList.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/EventTarget.h
===================================================================
--- code/branches/pch/src/orxonox/objects/EventTarget.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/EventTarget.h	(revision 3174)
@@ -31,4 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include "core/BaseObject.h"
 #include "core/XMLNameListener.h"
Index: code/branches/pch/src/orxonox/objects/GametypeMessageListener.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/GametypeMessageListener.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/GametypeMessageListener.cc	(revision 3174)
@@ -28,5 +28,4 @@
 
 #include "GametypeMessageListener.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/GametypeMessageListener.h
===================================================================
--- code/branches/pch/src/orxonox/objects/GametypeMessageListener.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/GametypeMessageListener.h	(revision 3174)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "core/OrxonoxClass.h"
 
Index: code/branches/pch/src/orxonox/objects/GlobalShader.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/GlobalShader.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/GlobalShader.cc	(revision 3174)
@@ -29,8 +29,8 @@
 #include "GlobalShader.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "objects/Scene.h"
-#include "util/Exception.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/Level.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Level.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Level.cc	(revision 3174)
@@ -29,18 +29,17 @@
 #include "Level.h"
 
+#include "util/Math.h"
+#include "core/Core.h"
 #include "core/CoreIncludes.h"
+#include "core/Loader.h"
+#include "core/Template.h"
+#include "core/XMLFile.h"
 #include "core/XMLPort.h"
-#include "core/Loader.h"
-#include "core/XMLFile.h"
-#include "core/Template.h"
-#include "core/Core.h"
 
-#include "LevelManager.h"
 #include "objects/infos/PlayerInfo.h"
 #include "objects/gametypes/Gametype.h"
 #include "overlays/OverlayGroup.h"
 #include "sound/SoundBase.h"
-
-#include "util/Math.h"
+#include "LevelManager.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/Level.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Level.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Level.h	(revision 3174)
@@ -32,6 +32,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
+#include <string>
+#include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/BaseObject.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/Radar.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Radar.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Radar.cc	(revision 3174)
@@ -28,12 +28,13 @@
 
 /**
-    @file
-    @brief
+@file
+@brief
 */
 
 #include "Radar.h"
-#include <cfloat>
+
 #include <cassert>
-#include "core/CoreIncludes.h"
+
+//#include "util/Math.h"
 #include "core/ConsoleCommand.h"
 #include "core/ObjectList.h"
Index: code/branches/pch/src/orxonox/objects/Radar.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Radar.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Radar.h	(revision 3174)
@@ -28,6 +28,6 @@
 
 /**
-    @file
-    @brief
+@file
+@brief
 */
 
@@ -39,6 +39,6 @@
 #include <map>
 #include <string>
-#include "core/ObjectList.h"
-#include "core/OrxonoxClass.h"
+
+#include "core/ObjectListIterator.h"
 #include "objects/Tickable.h"
 #include "RadarViewable.h"
Index: code/branches/pch/src/orxonox/objects/RadarViewable.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/RadarViewable.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/RadarViewable.cc	(revision 3174)
@@ -32,10 +32,9 @@
 #include <OgreSceneNode.h>
 #include <OgreEntity.h>
-#include <OgreManualObject.h>
 
 #include "util/Debug.h"
 #include "util/String.h"
 #include "core/CoreIncludes.h"
-#include "orxonox/tools/DynamicLines.h"
+#include "tools/DynamicLines.h"
 #include "objects/worldentities/WorldEntity.h"
 #include "objects/Radar.h"
Index: code/branches/pch/src/orxonox/objects/RadarViewable.h
===================================================================
--- code/branches/pch/src/orxonox/objects/RadarViewable.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/RadarViewable.h	(revision 3174)
@@ -34,4 +34,5 @@
 #include <string>
 #include <cassert>
+#include <OgrePrerequisites.h>
 
 #include "util/Math.h"
Index: code/branches/pch/src/orxonox/objects/Scene.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Scene.cc	(revision 3174)
@@ -31,4 +31,5 @@
 
 #include <OgreRoot.h>
+#include <OgreSceneManager.h>
 #include <OgreSceneManagerEnumerator.h>
 #include <OgreSceneNode.h>
@@ -58,14 +59,7 @@
         if (GameMode::showsGraphics())
         {
-            if (Ogre::Root::getSingletonPtr())
-            {
-                this->sceneManager_ = Ogre::Root::getSingleton().createSceneManager(Ogre::ST_GENERIC);
-                this->rootSceneNode_ = this->sceneManager_->getRootSceneNode();
-            }
-            else
-            {
-                this->sceneManager_ = 0;
-                this->rootSceneNode_ = 0;
-            }
+            assert(Ogre::Root::getSingletonPtr())
+            this->sceneManager_ = Ogre::Root::getSingleton().createSceneManager(Ogre::ST_GENERIC);
+            this->rootSceneNode_ = this->sceneManager_->getRootSceneNode();
         }
         else
@@ -94,12 +88,8 @@
         if (this->isInitialized())
         {
-            if (Ogre::Root::getSingletonPtr())
-            {
+            if (GameMode::showsGraphics())
                 Ogre::Root::getSingleton().destroySceneManager(this->sceneManager_);
-            }
-            else if (!GameMode::showsGraphics())
-            {
+            else
                 delete this->sceneManager_;
-            }
 
             this->setPhysicalWorld(false);
Index: code/branches/pch/src/orxonox/objects/Scene.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Scene.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Scene.h	(revision 3174)
@@ -33,7 +33,12 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
+#include <set>
+#include <string>
+#include <OgrePrerequisites.h>
+
+#include "util/Math.h"
+#include "core/BaseObject.h"
 #include "network/synchronisable/Synchronisable.h"
-#include "core/BaseObject.h"
-#include "util/Math.h"
 #include "objects/Tickable.h"
 
Index: code/branches/pch/src/orxonox/objects/Script.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Script.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Script.cc	(revision 3174)
@@ -29,7 +29,7 @@
 #include "Script.h"
 
+#include <tinyxml/ticpp.h>
 #include "util/Debug.h"
 #include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
 #include "core/LuaBind.h"
 
Index: code/branches/pch/src/orxonox/objects/Script.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Script.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Script.h	(revision 3174)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/Teamcolourable.h
===================================================================
--- code/branches/pch/src/orxonox/objects/Teamcolourable.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Teamcolourable.h	(revision 3174)
@@ -32,5 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
-#include "util/Math.h"
+#include "util/UtilPrereqs.h"
 #include "core/OrxonoxClass.h"
 
Index: code/branches/pch/src/orxonox/objects/Tickable.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/Tickable.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/Tickable.cc	(revision 3174)
@@ -29,5 +29,4 @@
 #include "Tickable.h"
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
 
 namespace orxonox