Index: code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/BoxCollisionShape.h	(revision 3176)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
 #include "CollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/CollisionShape.cc	(revision 3176)
@@ -33,6 +33,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
-
 #include "objects/worldentities/WorldEntity.h"
 #include "CompoundCollisionShape.h"
Index: code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/CompoundCollisionShape.h	(revision 3176)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
-#include <vector>
 #include <cassert>
+#include <map>
 #include "CollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.cc	(revision 3176)
@@ -33,5 +33,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/ConeCollisionShape.h	(revision 3176)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/PlaneCollisionShape.h	(revision 3176)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
 #include "CollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.cc	(revision 3176)
@@ -33,5 +33,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "tools/BulletConversions.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/SphereCollisionShape.h	(revision 3176)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h
===================================================================
--- code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/collisionshapes/WorldEntityCollisionShape.h	(revision 3176)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "CompoundCollisionShape.h"
 
Index: code/branches/pch/src/orxonox/objects/controllers/AIController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/AIController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/AIController.cc	(revision 3176)
@@ -29,4 +29,5 @@
 #include "AIController.h"
 
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/Executor.h"
Index: code/branches/pch/src/orxonox/objects/controllers/AIController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/AIController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/AIController.h	(revision 3176)
@@ -32,7 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "ArtificialController.h"
 #include "objects/Tickable.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/ArtificialController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/ArtificialController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/ArtificialController.cc	(revision 3176)
@@ -32,8 +32,7 @@
 #include "objects/worldentities/ControllableEntity.h"
 #include "objects/worldentities/pawns/Pawn.h"
-
+#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
 #include "objects/gametypes/TeamDeathmatch.h"
 #include "objects/controllers/WaypointPatrolController.h"
-#include "objects/worldentities/pawns/TeamBaseMatchBase.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/ArtificialController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/ArtificialController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/ArtificialController.h	(revision 3176)
@@ -32,7 +32,7 @@
 #include "OrxonoxPrereqs.h"
 
+#include "util/Math.h"
 #include "Controller.h"
-#include "objects/worldentities/pawns/Pawn.h"
-#include "util/Math.h"
+#include "tools/PawnListener.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/Controller.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/Controller.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/Controller.cc	(revision 3176)
@@ -28,7 +28,5 @@
 
 #include "Controller.h"
-
 #include "core/CoreIncludes.h"
-#include "overlays/OverlayGroup.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/Controller.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/Controller.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/Controller.h	(revision 3176)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/controllers/HumanController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/HumanController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/HumanController.cc	(revision 3176)
@@ -192,3 +192,11 @@
             HumanController::localController_s->controllableEntity_->dropItems();
     }
+
+    Pawn* HumanController::getLocalControllerEntityAsPawn()
+    {
+        if (HumanController::localController_s)
+            return dynamic_cast<Pawn*>(HumanController::localController_s->getControllableEntity());
+        else
+            return NULL;
+    }
 }
Index: code/branches/pch/src/orxonox/objects/controllers/HumanController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/HumanController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/HumanController.h	(revision 3176)
@@ -31,8 +31,5 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "util/Math.h"
 #include "Controller.h"
-#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
@@ -69,13 +66,5 @@
             static inline HumanController* getLocalControllerSingleton()
                 { return HumanController::localController_s; }
-            static inline Pawn* getLocalControllerEntityAsPawn()
-            {
-                if (HumanController::localController_s) {
-                    return dynamic_cast<Pawn*>(HumanController::localController_s->getControllableEntity());
-                } else {
-                    return NULL;
-                }
-            }
-
+            static Pawn* getLocalControllerEntityAsPawn();
             //friend class, for mouselook
             friend class Map;
Index: code/branches/pch/src/orxonox/objects/controllers/PongAI.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/PongAI.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/PongAI.cc	(revision 3176)
@@ -31,7 +31,7 @@
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
+#include "tools/Timer.h"
 #include "objects/worldentities/ControllableEntity.h"
 #include "objects/worldentities/PongBall.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/PongAI.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/PongAI.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/PongAI.h	(revision 3176)
@@ -33,8 +33,7 @@
 
 #include <list>
-
+#include "util/Math.h"
 #include "Controller.h"
 #include "objects/Tickable.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/ScriptController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/ScriptController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/ScriptController.cc	(revision 3176)
@@ -28,5 +28,4 @@
 
 #include "ScriptController.h"
-
 #include "core/CoreIncludes.h"
 
@@ -39,7 +38,3 @@
         RegisterObject(ScriptController);
     }
-
-    ScriptController::~ScriptController()
-    {
-    }
 }
Index: code/branches/pch/src/orxonox/objects/controllers/ScriptController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/ScriptController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/ScriptController.h	(revision 3176)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "ArtificialController.h"
 
@@ -40,7 +39,5 @@
         public:
             ScriptController(BaseObject* creator);
-            virtual ~ScriptController();
-
-        protected:
+            virtual ~ScriptController() { }
 
         private:
Index: code/branches/pch/src/orxonox/objects/controllers/WaypointController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/WaypointController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/WaypointController.cc	(revision 3176)
@@ -31,4 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
+#include "objects/worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/WaypointController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/WaypointController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/WaypointController.h	(revision 3176)
@@ -33,5 +33,4 @@
 
 #include <vector>
-
 #include "ArtificialController.h"
 #include "objects/Tickable.h"
Index: code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.cc	(revision 3176)
@@ -29,6 +29,9 @@
 #include "WaypointPatrolController.h"
 
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
+#include "core/ObjectList.h"
 #include "core/XMLPort.h"
+#include "objects/worldentities/pawns/Pawn.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.h
===================================================================
--- code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/controllers/WaypointPatrolController.h	(revision 3176)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "WaypointController.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.cc	(revision 3176)
@@ -373,12 +373,3 @@
         this->isHumanShip_ = true;
     }
-
-
-    ///////////////////
-    // Pawn Listener //
-    ///////////////////
-    PawnListener::PawnListener()
-    {
-        RegisterRootObject(PawnListener);
-    }
 }
Index: code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3175)
+++ code/branches/pch/src/orxonox/objects/worldentities/pawns/Pawn.h	(revision 3176)
@@ -147,13 +147,4 @@
                 { this->weaponSystem_ = weaponsystem; }
     };
-
-    class _OrxonoxExport PawnListener : virtual public OrxonoxClass
-    {
-        public:
-            PawnListener();
-            virtual ~PawnListener() {}
-
-            virtual void destroyedPawn(Pawn* pawn) = 0;
-    };
 }
 