Index: code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Asteroids.cc	(revision 3179)
@@ -29,9 +29,8 @@
 #include "Asteroids.h"
 
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
-#include "objects/infos/PlayerInfo.h"
+#include "network/Host.h"
 #include "objects/worldentities/pawns/Pawn.h"
-
-#include "network/Host.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/gametypes/Asteroids.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Asteroids.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Asteroids.h	(revision 3179)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "Gametype.h"
 
Index: code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.cc	(revision 3179)
@@ -29,9 +29,9 @@
 #include "Deathmatch.h"
 
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
+#include "network/Host.h"
 #include "objects/infos/PlayerInfo.h"
 #include "objects/worldentities/pawns/Pawn.h"
-
-#include "network/Host.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Deathmatch.h	(revision 3179)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "Gametype.h"
 
Index: code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Gametype.cc	(revision 3179)
@@ -29,17 +29,18 @@
 #include "Gametype.h"
 
-#include <cstdlib>
-#include <ctime>
-
+#include "util/Debug.h"
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "core/Template.h"
 #include "core/GameMode.h"
-#include "overlays/OverlayGroup.h"
+#include "core/ObjectList.h"
+
 #include "objects/infos/PlayerInfo.h"
 #include "objects/infos/Bot.h"
+#include "objects/worldentities/Camera.h"
+#include "objects/worldentities/ControllableEntity.h"
+#include "objects/worldentities/SpawnPoint.h"
 #include "objects/worldentities/pawns/Spectator.h"
-#include "objects/worldentities/SpawnPoint.h"
-#include "objects/worldentities/Camera.h"
+#include "overlays/OverlayGroup.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/gametypes/Gametype.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Gametype.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Gametype.h	(revision 3179)
@@ -33,8 +33,9 @@
 
 #include <map>
+#include <set>
+#include <string>
 
 #include "core/BaseObject.h"
 #include "core/Identifier.h"
-#include "objects/worldentities/ControllableEntity.h"
 #include "interfaces/Tickable.h"
 #include "objects/infos/GametypeInfo.h"
Index: code/branches/pch/src/orxonox/objects/gametypes/Pong.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Pong.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Pong.cc	(revision 3179)
@@ -30,11 +30,8 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
 #include "core/Executor.h"
-#include "objects/worldentities/Model.h"
 #include "objects/worldentities/PongCenterpoint.h"
 #include "objects/worldentities/PongBall.h"
 #include "objects/worldentities/PongBat.h"
-#include "objects/infos/HumanPlayer.h"
 #include "objects/infos/PongBot.h"
 #include "objects/controllers/PongAI.h"
Index: code/branches/pch/src/orxonox/objects/gametypes/Pong.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/Pong.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/Pong.h	(revision 3179)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "tools/Timer.h"
 #include "Deathmatch.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.cc	(revision 3179)
@@ -29,6 +29,8 @@
 #include "TeamBaseMatch.h"
 
+#include "util/Debug.h"
+#include "core/CoreIncludes.h"
+#include "core/Executor.h"
 #include "objects/worldentities/pawns/TeamBaseMatchBase.h"
-#include "core/CoreIncludes.h"
 #include "objects/infos/PlayerInfo.h"
 
Index: code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/TeamBaseMatch.h	(revision 3179)
@@ -33,6 +33,6 @@
 
 #include <set>
+#include "tools/Timer.h"
 #include "TeamDeathmatch.h"
-#include "tools/Timer.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/TeamDeathmatch.h	(revision 3179)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <map>
 #include <vector>
-
 #include "Deathmatch.h"
 
Index: code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.cc	(revision 3179)
@@ -29,9 +29,8 @@
 #include "UnderAttack.h"
 
+#include "util/Convert.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
-#include "util/Convert.h"
 #include "network/Host.h"
-
 #include "objects/worldentities/pawns/Destroyer.h"
 #include "objects/infos/PlayerInfo.h"
Index: code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.h
===================================================================
--- code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/gametypes/UnderAttack.h	(revision 3179)
@@ -32,6 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "interfaces/PawnListener.h"
 #include "TeamDeathmatch.h"
-#include "interfaces/PawnListener.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/infos/Bot.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/Bot.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/Bot.cc	(revision 3179)
@@ -29,4 +29,5 @@
 #include "Bot.h"
 
+#include "util/Math.h"
 #include "core/GameMode.h"
 #include "core/CoreIncludes.h"
@@ -34,5 +35,4 @@
 #include "objects/gametypes/Gametype.h"
 #include "objects/controllers/AIController.h"
-#include "util/Math.h"
 
 namespace orxonox
@@ -66,5 +66,5 @@
     void Bot::setConfigValues()
     {
-        static std::string names[] =
+        static const std::string names[] =
         {
             "Dr. Julius No",
Index: code/branches/pch/src/orxonox/objects/infos/Bot.h
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/Bot.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/Bot.h	(revision 3179)
@@ -31,6 +31,6 @@
 
 #include "OrxonoxPrereqs.h"
+
 #include <vector>
-
 #include "PlayerInfo.h"
 
Index: code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/GametypeInfo.cc	(revision 3179)
@@ -31,4 +31,5 @@
 #include "core/CoreIncludes.h"
 #include "core/GameMode.h"
+#include "core/ObjectList.h"
 #include "network/NetworkFunction.h"
 #include "network/Host.h"
Index: code/branches/pch/src/orxonox/objects/infos/GametypeInfo.h
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/GametypeInfo.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/GametypeInfo.h	(revision 3179)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "Info.h"
 
Index: code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/HumanPlayer.cc	(revision 3179)
@@ -29,7 +29,7 @@
 #include "HumanPlayer.h"
 
-#include "core/GameMode.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/GameMode.h"
 #include "network/ClientInformation.h"
 #include "network/Host.h"
Index: code/branches/pch/src/orxonox/objects/infos/HumanPlayer.h
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/HumanPlayer.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/HumanPlayer.h	(revision 3179)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <string>
 #include "PlayerInfo.h"
 
Index: code/branches/pch/src/orxonox/objects/infos/Info.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/Info.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/Info.cc	(revision 3179)
@@ -28,5 +28,4 @@
 
 #include "Info.h"
-
 #include "core/CoreIncludes.h"
 
Index: code/branches/pch/src/orxonox/objects/infos/PlayerInfo.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/PlayerInfo.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/PlayerInfo.cc	(revision 3179)
@@ -34,4 +34,5 @@
 #include "network/ClientInformation.h"
 #include "objects/gametypes/Gametype.h"
+#include "objects/worldentities/ControllableEntity.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/infos/PongBot.h
===================================================================
--- code/branches/pch/src/orxonox/objects/infos/PongBot.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/infos/PongBot.h	(revision 3179)
@@ -31,5 +31,4 @@
 
 #include "OrxonoxPrereqs.h"
-
 #include "Bot.h"
 
Index: code/branches/pch/src/orxonox/objects/items/Engine.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/items/Engine.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/Engine.cc	(revision 3179)
@@ -29,4 +29,5 @@
 #include "Engine.h"
 
+#include "util/Math.h"
 #include "core/CoreIncludes.h"
 #include "core/ConfigValueIncludes.h"
@@ -34,4 +35,5 @@
 #include "objects/Scene.h"
 #include "objects/worldentities/pawns/SpaceShip.h"
+#include "objects/pickup/ModifierType.h"
 #include "tools/Shader.h"
 #include "sound/SoundBase.h"
Index: code/branches/pch/src/orxonox/objects/items/Engine.h
===================================================================
--- code/branches/pch/src/orxonox/objects/items/Engine.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/Engine.h	(revision 3179)
@@ -32,7 +32,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include "interfaces/Tickable.h"
 #include "Item.h"
-#include "interfaces/Tickable.h"
-#include "util/Math.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/items/Item.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/items/Item.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/Item.cc	(revision 3179)
@@ -28,5 +28,4 @@
 
 #include "Item.h"
-
 #include "core/CoreIncludes.h"
 
@@ -37,7 +36,3 @@
         RegisterObject(Item);
     }
-
-    Item::~Item()
-    {
-    }
 }
Index: code/branches/pch/src/orxonox/objects/items/Item.h
===================================================================
--- code/branches/pch/src/orxonox/objects/items/Item.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/Item.h	(revision 3179)
@@ -41,5 +41,5 @@
         public:
             Item(BaseObject* creator);
-            virtual ~Item();
+            virtual ~Item() {}
     };
 }
Index: code/branches/pch/src/orxonox/objects/items/MultiStateEngine.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/items/MultiStateEngine.cc	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/MultiStateEngine.cc	(revision 3179)
@@ -29,6 +29,6 @@
 #include "MultiStateEngine.h"
 
+#include "core/CoreIncludes.h"
 #include "core/GameMode.h"
-#include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
 #include "objects/worldentities/pawns/SpaceShip.h"
Index: code/branches/pch/src/orxonox/objects/items/MultiStateEngine.h
===================================================================
--- code/branches/pch/src/orxonox/objects/items/MultiStateEngine.h	(revision 3178)
+++ code/branches/pch/src/orxonox/objects/items/MultiStateEngine.h	(revision 3179)
@@ -32,4 +32,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include "Engine.h"
 