Index: code/branches/pch/src/orxonox/objects/quest/AddQuest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddQuest.cc	(revision 3180)
@@ -34,11 +34,8 @@
 #include "AddQuest.h"
 
-#include <string>
-
+#include "util/Debug.h"
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "QuestManager.h"
-#include "QuestDescription.h"
 #include "Quest.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/AddQuest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddQuestHint.cc	(revision 3180)
@@ -34,7 +34,7 @@
 #include "AddQuestHint.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestItem.h"
Index: code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddQuestHint.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include <string>
-
 #include "QuestEffect.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/AddReward.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddReward.cc	(revision 3180)
@@ -34,7 +34,7 @@
 #include "AddReward.h"
 
+#include "util/Debug.h"
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "Rewardable.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/AddReward.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/AddReward.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <list>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.cc	(revision 3180)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/ChangeQuestStatus.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <string>
-
-#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/CompleteQuest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/CompleteQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/FailQuest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/FailQuest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "Quest.h"
Index: code/branches/pch/src/orxonox/objects/quest/FailQuest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/FailQuest.h	(revision 3180)
@@ -36,6 +36,4 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/XMLPort.h"
 #include "ChangeQuestStatus.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/GlobalQuest.cc	(revision 3180)
@@ -34,8 +34,6 @@
 #include "GlobalQuest.h"
 
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/GlobalQuest.h	(revision 3180)
@@ -37,8 +37,6 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <set>
-#include <list>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/LocalQuest.cc	(revision 3180)
@@ -35,7 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/Super.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestEffect.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/LocalQuest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/LocalQuest.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <map>
-
-#include "core/XMLPort.h"
 #include "Quest.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/Quest.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/Quest.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: code/branches/pch/src/orxonox/objects/quest/Quest.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/Quest.h	(revision 3180)
@@ -39,7 +39,4 @@
 
 #include <list>
-
-#include "core/XMLPort.h"
-
 #include "QuestItem.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestDescription.cc	(revision 3180)
@@ -36,4 +36,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
 #include "QuestNotification.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestDescription.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestDescription.h	(revision 3180)
@@ -38,7 +38,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 // tolua_begin
Index: code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestEffect.cc	(revision 3180)
@@ -33,8 +33,5 @@
 
 #include "QuestEffect.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/quest/QuestEffect.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestEffect.h	(revision 3180)
@@ -38,5 +38,4 @@
 
 #include <list>
-
 #include "core/BaseObject.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.cc	(revision 3180)
@@ -36,8 +36,5 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "core/Event.h"
 #include "core/EventIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
 #include "orxonox/objects/worldentities/pawns/Pawn.h"
 #include "orxonox/objects/worldentities/triggers/PlayerTrigger.h"
Index: code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestEffectBeacon.h	(revision 3180)
@@ -37,4 +37,5 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include "orxonox/objects/worldentities/StaticEntity.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestHint.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestHint.cc	(revision 3180)
@@ -35,6 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
-#include "orxonox/objects/infos/PlayerInfo.h"
+#include "core/XMLPort.h"
 #include "QuestManager.h"
 #include "QuestDescription.h"
Index: code/branches/pch/src/orxonox/objects/quest/QuestHint.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestHint.h	(revision 3180)
@@ -38,6 +38,4 @@
 
 #include <map>
-
-#include "core/XMLPort.h"
 #include "QuestItem.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestItem.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestItem.cc	(revision 3180)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-
+#include "core/XMLPort.h"
 #include "QuestDescription.h"
 
Index: code/branches/pch/src/orxonox/objects/quest/QuestItem.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestItem.h	(revision 3180)
@@ -40,7 +40,5 @@
 
 #include <string>
-
 #include "core/BaseObject.h"
-#include "core/XMLPort.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/quest/QuestListener.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestListener.cc	(revision 3180)
@@ -36,5 +36,4 @@
 #include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-
 #include "Quest.h"
 #include "QuestManager.h"
@@ -190,4 +189,15 @@
     /**
     @brief
+        Get the questId of the Quest the QuestListener reacts to.
+    @return
+        Returns the questId of the Quest the QuestListener reacts to.
+    */
+    const std::string & QuestListener::getQuestId(void)    
+    {
+        return this->quest_->getId();
+    }
+
+    /**
+    @brief
         Executes the QuestListener, resp. fires an Event.
     @return
Index: code/branches/pch/src/orxonox/objects/quest/QuestListener.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestListener.h	(revision 3180)
@@ -39,8 +39,5 @@
 #include <string>
 #include <list>
-
 #include "core/BaseObject.h"
-
-#include "Quest.h"
 
 namespace orxonox
@@ -92,11 +89,5 @@
         std::string getMode(void); //!< Get the mode of the QuestListener.
         
-        /**
-        @brief Get the questId of the Quest the QuestListener reacts to.
-        @return Returns the questId of the Quest the QuestListener reacts to.
-        */
-        inline const std::string & getQuestId(void)
-                { return this->quest_->getId(); }
-        
+        const std::string & getQuestId(void);        
         bool execute(void); //!< Executes the QuestListener, resp. fires an Event.
         
Index: code/branches/pch/src/orxonox/objects/quest/QuestManager.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestManager.cc	(revision 3180)
@@ -34,12 +34,14 @@
 #include "QuestManager.h"
 
+#include "util/Exception.h"
 #include "core/CoreIncludes.h"
-#include "core/ConsoleCommand.h"
-#include "core/input/InputManager.h"
-
 #include "gui/GUIManager.h"
+
 #include "objects/infos/PlayerInfo.h"
+#include "objects/infos/PlayerInfo.h"
+#include "overlays/GUIOverlay.h"
 #include "Quest.h"
 #include "QuestHint.h"
+#include "QuestItem.h"
 
 namespace orxonox
Index: code/branches/pch/src/orxonox/objects/quest/QuestManager.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestManager.h	(revision 3180)
@@ -37,11 +37,8 @@
 #include "OrxonoxPrereqs.h"
 
+#include <list>
 #include <map>
-#include <list>
 #include <string>
-
 #include "core/OrxonoxClass.h"
-#include "orxonox/objects/infos/PlayerInfo.h"
-#include "overlays/GUIOverlay.h"
 
 // tolua_begin
Index: code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestNotification.cc	(revision 3180)
@@ -28,8 +28,5 @@
 
 #include "QuestNotification.h"
-
 #include "core/CoreIncludes.h"
-
-#include "orxonox/overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: code/branches/pch/src/orxonox/objects/quest/QuestNotification.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/QuestNotification.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/QuestNotification.h	(revision 3180)
@@ -33,6 +33,5 @@
 
 #include <string>
-
-#include "orxonox/overlays/notifications/Notification.h"
+#include "overlays/notifications/Notification.h"
 
 namespace orxonox {
Index: code/branches/pch/src/orxonox/objects/quest/Rewardable.cc
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/Rewardable.cc	(revision 3180)
@@ -33,5 +33,4 @@
 
 #include "Rewardable.h"
-
 #include "core/CoreIncludes.h"
 
@@ -42,17 +41,7 @@
         Constructor. Registers the object.
     */
-    Rewardable::Rewardable(BaseObject* creator) : BaseObject(creator)
+    Rewardable::Rewardable()
     {
         RegisterObject(Rewardable);
     }
-
-    /**
-    @brief
-        Destructor,
-    */
-    Rewardable::~Rewardable()
-    {
-    }
-
-
 }
Index: code/branches/pch/src/orxonox/objects/quest/Rewardable.h
===================================================================
--- code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3170)
+++ code/branches/pch/src/orxonox/objects/quest/Rewardable.h	(revision 3180)
@@ -36,6 +36,5 @@
 
 #include "OrxonoxPrereqs.h"
-
-#include "core/BaseObject.h"
+#include "core/OrxonoxClass.h"
 
 namespace orxonox
@@ -49,9 +48,9 @@
         Damian 'Mozork' Frick
     */
-    class _OrxonoxExport Rewardable : public BaseObject
+    class _OrxonoxExport Rewardable : public OrxonoxClass
     {
         public:
-            Rewardable(BaseObject* creator);
-            virtual ~Rewardable();
+            Rewardable();
+            virtual ~Rewardable() {}
 
             /**
@@ -67,5 +66,4 @@
 
     };
-
 }
 