Index: /orxonox/trunk/Makefile.am
===================================================================
--- /orxonox/trunk/Makefile.am	(revision 3181)
+++ /orxonox/trunk/Makefile.am	(revision 3182)
@@ -7,5 +7,8 @@
 endif
 
-SUBDIRS = src importer gui $(GTK_PROGS)
+SUBDIRS = src \
+	  importer \
+	  gui \
+	  $(GTK_PROGS)
 
 
Index: /orxonox/trunk/Makefile.in
===================================================================
--- /orxonox/trunk/Makefile.in	(revision 3181)
+++ /orxonox/trunk/Makefile.in	(revision 3182)
@@ -168,5 +168,9 @@
 @HAVE_GTK2_FALSE@GTK_PROGS = 
 @HAVE_GTK2_TRUE@GTK_PROGS = console
-SUBDIRS = src importer gui $(GTK_PROGS)
+SUBDIRS = src \
+	  importer \
+	  gui \
+	  $(GTK_PROGS)
+
 DOXYGEN_INPUT = src gui
 DOXYGEN_EXCLUDE = 
Index: /orxonox/trunk/console/Makefile.am
===================================================================
--- /orxonox/trunk/console/Makefile.am	(revision 3181)
+++ /orxonox/trunk/console/Makefile.am	(revision 3182)
@@ -4,6 +4,11 @@
 
 bin_PROGRAMS=console
-console_SOURCES=orxonox_console.cc orxonox_console_entry.cc orxonox_console_log.cc
-noinst_HEADERS=orxonox_console.h orxonox_console_entry.h orxonox_console_log.h
+console_SOURCES= orxonox_console.cc \
+	  	 orxonox_console_entry.cc \
+	  	 orxonox_console_log.cc
+
+noinst_HEADERS= orxonox_console.h \
+	        orxonox_console_entry.h \
+	   	orxonox_console_log.h
 
 #  uncomment the following if orxonox requires the math library
Index: /orxonox/trunk/console/Makefile.in
===================================================================
--- /orxonox/trunk/console/Makefile.in	(revision 3181)
+++ /orxonox/trunk/console/Makefile.in	(revision 3182)
@@ -169,6 +169,12 @@
 target_vendor = @target_vendor@
 AM_CXXFLAGS = $(GTK2_CFLAGS) $(MSBITFIELDS)
-console_SOURCES = orxonox_console.cc orxonox_console_entry.cc orxonox_console_log.cc
-noinst_HEADERS = orxonox_console.h orxonox_console_entry.h orxonox_console_log.h
+console_SOURCES = orxonox_console.cc \
+	  	 orxonox_console_entry.cc \
+	  	 orxonox_console_log.cc
+
+noinst_HEADERS = orxonox_console.h \
+	        orxonox_console_entry.h \
+	   	orxonox_console_log.h
+
 all: all-am
 
Index: /orxonox/trunk/importer/Makefile.am
===================================================================
--- /orxonox/trunk/importer/Makefile.am	(revision 3181)
+++ /orxonox/trunk/importer/Makefile.am	(revision 3182)
@@ -6,7 +6,17 @@
 
 bin_PROGRAMS=importer
-importer_SOURCES=framework.cc windowHandler.cc vector.cc object.cc array.cc material.cc
+importer_SOURCES= framework.cc \
+	          windowHandler.cc \
+	  	  vector.cc \
+	  	  object.cc \
+	  	  array.cc \
+	  	  material.cc
 
-noinst_HEADERS=framework.h windowHandler.h  vector.h object.h array.h material.h
+noinst_HEADERS= framework.h \
+	  	windowHandler.h \
+	  	vector.h \
+	  	object.h \
+	  	array.h \
+		material.h
 
 
Index: /orxonox/trunk/importer/Makefile.in
===================================================================
--- /orxonox/trunk/importer/Makefile.in	(revision 3181)
+++ /orxonox/trunk/importer/Makefile.in	(revision 3182)
@@ -171,6 +171,18 @@
 #AM_CXXFLAGS="-I/usr/X11R6/include"
 AM_LDFLAGS = $(MWINDOWS)
-importer_SOURCES = framework.cc windowHandler.cc vector.cc object.cc array.cc material.cc
-noinst_HEADERS = framework.h windowHandler.h  vector.h object.h array.h material.h
+importer_SOURCES = framework.cc \
+	          windowHandler.cc \
+	  	  vector.cc \
+	  	  object.cc \
+	  	  array.cc \
+	  	  material.cc
+
+noinst_HEADERS = framework.h \
+	  	windowHandler.h \
+	  	vector.h \
+	  	object.h \
+	  	array.h \
+		material.h
+
 all: all-am
 
Index: /orxonox/trunk/src/Makefile.am
===================================================================
--- /orxonox/trunk/src/Makefile.am	(revision 3181)
+++ /orxonox/trunk/src/Makefile.am	(revision 3182)
@@ -7,6 +7,61 @@
 bin_PROGRAMS=orxonox
 
-orxonox_SOURCES=orxonox.cc world.cc player.cc data_tank.cc world_entity.cc vector.cc camera.cc collision.cc command_node.cc ini_parser.cc keynames.cc track.cc base_entity.cc game_loader.cc campaign.cc story_entity.cc object.cc environment.cc array.cc material.cc list.cc
-noinst_HEADERS=ability.h data_tank.h npc.h stdincl.h ai.h environment.h orxonox.h synchronisable.h base_entity.h error.h player.h track.h camera.h ini_parser.h power_up.h vector.h collision.h keynames.h proto_class.h world.h command_node.h list.h shoot_laser.h world_entity.h coordinates.h message_structures.h shoot_rocket.h object.h array.h material.h list_template.h story_entity.h story_def.h game_loader.h campaign.h
+orxonox_SOURCES= orxonox.cc \
+		 world.cc \
+		 player.cc \
+		 data_tank.cc \
+		 world_entity.cc \
+		 vector.cc \
+		 camera.cc \
+		 collision.cc \
+		 command_node.cc \
+		 ini_parser.cc \
+		 keynames.cc \
+		 track.cc \
+		 base_entity.cc \
+		 game_loader.cc \
+		 campaign.cc \
+		 story_entity.cc \
+		 object.cc \
+		 environment.cc \
+		 array.cc \
+		 material.cc \
+		 list.cc
+
+noinst_HEADERS = ability.h \
+		 data_tank.h \
+		 npc.h \
+		 stdincl.h \
+		 ai.h \
+		 environment.h \
+		 orxonox.h \
+		 synchronisable.h \
+		 base_entity.h \
+		 error.h \
+		 player.h \
+		 track.h \
+		 camera.h \
+		 ini_parser.h \
+		 power_up.h \
+		 vector.h \
+		 collision.h \
+		 keynames.h \
+		 proto_class.h \
+		 world.h \
+		 command_node.h \
+		 list.h \
+		 shoot_laser.h \
+		 world_entity.h \
+		 coordinates.h \
+		 message_structures.h \
+		 shoot_rocket.h \
+		 object.h \
+		 array.h \
+		 material.h \
+		 list_template.h \
+		 story_entity.h \
+		 story_def.h \
+		 game_loader.h \
+		 campaign.h
 
 
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 3181)
+++ /orxonox/trunk/src/Makefile.in	(revision 3182)
@@ -186,6 +186,62 @@
 #AM_CXXFLAGS=""
 AM_LDFLAGS = $(MWINDOWS)
-orxonox_SOURCES = orxonox.cc world.cc player.cc data_tank.cc world_entity.cc vector.cc camera.cc collision.cc command_node.cc ini_parser.cc keynames.cc track.cc base_entity.cc game_loader.cc campaign.cc story_entity.cc object.cc environment.cc array.cc material.cc list.cc
-noinst_HEADERS = ability.h data_tank.h npc.h stdincl.h ai.h environment.h orxonox.h synchronisable.h base_entity.h error.h player.h track.h camera.h ini_parser.h power_up.h vector.h collision.h keynames.h proto_class.h world.h command_node.h list.h shoot_laser.h world_entity.h coordinates.h message_structures.h shoot_rocket.h object.h array.h material.h list_template.h story_entity.h story_def.h game_loader.h campaign.h
+orxonox_SOURCES = orxonox.cc \
+		 world.cc \
+		 player.cc \
+		 data_tank.cc \
+		 world_entity.cc \
+		 vector.cc \
+		 camera.cc \
+		 collision.cc \
+		 command_node.cc \
+		 ini_parser.cc \
+		 keynames.cc \
+		 track.cc \
+		 base_entity.cc \
+		 game_loader.cc \
+		 campaign.cc \
+		 story_entity.cc \
+		 object.cc \
+		 environment.cc \
+		 array.cc \
+		 material.cc \
+		 list.cc
+
+noinst_HEADERS = ability.h \
+		 data_tank.h \
+		 npc.h \
+		 stdincl.h \
+		 ai.h \
+		 environment.h \
+		 orxonox.h \
+		 synchronisable.h \
+		 base_entity.h \
+		 error.h \
+		 player.h \
+		 track.h \
+		 camera.h \
+		 ini_parser.h \
+		 power_up.h \
+		 vector.h \
+		 collision.h \
+		 keynames.h \
+		 proto_class.h \
+		 world.h \
+		 command_node.h \
+		 list.h \
+		 shoot_laser.h \
+		 world_entity.h \
+		 coordinates.h \
+		 message_structures.h \
+		 shoot_rocket.h \
+		 object.h \
+		 array.h \
+		 material.h \
+		 list_template.h \
+		 story_entity.h \
+		 story_def.h \
+		 game_loader.h \
+		 campaign.h
+
 all: all-am
 